Bug 1779580 - drop rhvm-doc package
Summary: drop rhvm-doc package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-4.4.0
: ---
Assignee: Michal Skrivanek
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-04 10:03 UTC by Michal Skrivanek
Modified: 2020-08-04 13:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The current release updates the *Documentation* section of the RHV welcome or landing page. This makes it is easier to access the current documentation and facilitate access to translated documentation in the future. - The links now point to the online documentation on the Red Hat customer portal. - The "Introduction to the Administration Portal" guide and "REST API v3 Guide" are now obsolete and have been removed. - The rhvm-doc package is obsolete and has been removed.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:21:16 UTC
oVirt Team: UX
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:21:37 UTC
oVirt gerrit 106459 0 master MERGED branding: Remove the insertDocsSection method 2020-07-29 23:16:32 UTC

Description Michal Skrivanek 2019-12-04 10:03:04 UTC
we're no longer ship generated PDFs. Landing page will be changed to point to online docs instead

Comment 1 Sandro Bonazzola 2019-12-05 15:20:35 UTC
I see you removed:
Requires:	rhvm-doc >= 4.3

but you didn't obsolete it, so upgrading from 4.3 will leave rhvm-doc on the system.
I would suggest to obsolete it.

Comment 2 Sandro Bonazzola 2019-12-05 15:21:23 UTC
You may also need a doc bug for the removal of the rhvm-docs package.

Comment 3 Sharon Gratch 2019-12-09 13:15:41 UTC
(In reply to Sandro Bonazzola from comment #2)
> You may also need a doc bug for the removal of the rhvm-docs package.

We still need to migrate the rhvm-docs links (offline PDFs) to rhevm-branding-rhev project (links to online docs).
So I suggest setting this bug as POST until totally migrating and removing of the rhvm-docs.

Comment 8 Pavel Novotny 2020-03-19 22:34:27 UTC
The doc links on welcome page now point to online docs, however to 4.3 GA ones.
For example, Product Guide -> https://access.redhat.com/documentation/red_hat_virtualization/4.3/html/product_guide/

Is it intentional? Or there are other patches planned for this bug (as mentioned in comment 7)?

Comment 9 Sharon Gratch 2020-03-30 16:10:26 UTC
(In reply to Pavel Novotny from comment #8)
> The doc links on welcome page now point to online docs, however to 4.3 GA
> ones.
> For example, Product Guide ->
> https://access.redhat.com/documentation/red_hat_virtualization/4.3/html/
> product_guide/
> 
> Is it intentional? Or there are other patches planned for this bug (as
> mentioned in comment 7)?

It was already done - latest RHV build contains rhvm-branding-rhv version 4.4.2-1 which includes pointing from welcome page to 4.4 GA docs instead of 4.3. Note that 4.4 docs are not yet uploaded to portal so you'll get 404 errors for now. 

We might update few more issues on next coming rhvm-branding-rhv build though, based on 4.4 docs changes,like removing links to "Introduction to the Administration Portal" and "Version 3 REST API. Guide"

Comment 10 Pavel Novotny 2020-03-31 20:29:44 UTC
Verified in
rhvm-4.4.0-0.29.master.el8ev.noarch
rhvm-branding-rhv-4.4.2-1.el8ev.noarch

# rpm -q rhvm-doc
package rhvm-doc is not installed


All documentation links point to (forthcoming) 4.4 GA online docs, for example, https://access.redhat.com/documentation/red_hat_virtualization/4.4/html/product_guide/
As mentioned in comment 9, "Introduction to the Administration Portal" and "REST API v3 Guide" links are still present.

Comment 15 errata-xmlrpc 2020-08-04 13:21:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.